# Package edu.isi.pegasus.planner.code

Interface Summary
CodeGenerator: The interface that allows us to plug in various code generators for writing out the concrete plan.
GridStart: The interface that defines how a job specified in the abstract workflow is launched on the grid.
POSTScript: The interface that defines the creation of a POSTSCRIPT for a job.

Class Summary
CodeGeneratorFactory: A factory class to load the appropriate type of Code Generator.
GridStartFactory: An abstract factory class to load the appropriate type of GridStart implementations, and their corresponding POSTScript classes.

Exception Summary
CodeGeneratorException: The baseclass of the exception that is thrown by all Code Generators.
CodeGeneratorFactoryException: Class to notify of failures while instantiating Code Generator implementations.
GridStartFactoryException: Class to notify of failures while instantiating GridStart implementations.